package com.ningdatech.carapi.safe.mapper;

import com.ningdatech.carapi.car.datascreen.model.dto.DataScreenParam;
import com.ningdatech.carapi.safe.model.po.*;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * @Classname SecurityManageDataScreenMapper
 * @Description
 * @Date 2022/10/26 15:03
 * @Created by PoffyZhang
 */
public interface SecurityManageDataScreenMapper {

    List<OutDangerAnalysisPO> getOutDangerAnalysis(@Param("param") DataScreenParam param);

    List<OverspeedAnalysisPO> getOverspeedAnalysis(@Param("param") DataScreenParam param);

    OutDangerPeriodTimePO getOutDangerPeriodTime(@Param("param") DataScreenParam param);

    List<OverspeedTimesPO> getOverSpeedCurrentMonth(@Param("param") DataScreenParam param);

    List<OutDangerCityPO> getOutDangerRegions(@Param("param") DataScreenParam param);
}
